List messages in a conversation
curl --request GET \
--url https://api.social-api.ai/v1/inbox/conversations/{id}/messages \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/inbox/conversations/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/inbox/conversations/{id}/messages"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"attachment_type": "<string>",
"attachment_url": "<string>",
"conversation_id": "<string>",
"created_at": "<string>",
"direction": "<string>",
"id": "<string>",
"platform_id": "<string>",
"reply_to": {
"platform_id": "<string>"
},
"sender_id": "<string>",
"sender_name": "<string>",
"status": "<string>",
"status_updated_at": "<string>",
"text": "<string>"
}
],
"last_synced_at": "<string>",
"pagination": {
"has_more": true,
"next_cursor": "<string>"
},
"sync_state": "idle"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Inbox
List messages in a conversation
Returns paginated messages for an inbox conversation, newest first.
GET
/
inbox
/
conversations
/
{id}
/
messages
List messages in a conversation
curl --request GET \
--url https://api.social-api.ai/v1/inbox/conversations/{id}/messages \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/inbox/conversations/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/inbox/conversations/{id}/messages"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"attachment_type": "<string>",
"attachment_url": "<string>",
"conversation_id": "<string>",
"created_at": "<string>",
"direction": "<string>",
"id": "<string>",
"platform_id": "<string>",
"reply_to": {
"platform_id": "<string>"
},
"sender_id": "<string>",
"sender_name": "<string>",
"status": "<string>",
"status_updated_at": "<string>",
"text": "<string>"
}
],
"last_synced_at": "<string>",
"pagination": {
"has_more": true,
"next_cursor": "<string>"
},
"sync_state": "idle"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Path Parameters
Conversation ID
Query Parameters
Max results (1–200, default 25)
Pagination cursor from previous response